Bug 1741275 - [RFE] Add Reverse Proxy options supported via custom-hiera.yaml
Summary: [RFE] Add Reverse Proxy options supported via custom-hiera.yaml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified vote
Target Milestone: 6.7.0
Assignee: Ewoud Kohl van Wijngaarden
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 16:19 UTC by Rafael Cavalcanti
Modified: 2020-04-14 13:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:25:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27687 Normal Closed Add Reverse Proxy options supported via custom-hiera.yaml 2020-04-19 22:42:02 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:27 UTC

Description Rafael Cavalcanti 2019-08-14 16:19:16 UTC
1. Proposed title of this feature request
Add Reverse Proxy options supported via custom-hiera.yaml

2. Who is the customer behind the request?
See private comment.
  
TAM customer: Blair Aitken
Strategic: yes

3. What is the nature and description of the request?
Reverse proxy options such as: connectiontimeout, timeout, retry, disablereuse
are not supported in custom-hiera.yaml.
Every time time the satellite-installer is executed, '/etc/httpd/conf.d/28-katello-reverse-proxy.conf' needs to be modified manually.

4. Why does the customer need this? (List the business requirements here)
Every time time the satellite-installer is executed, they have to remember to put the reverse proxy configuration back.

5. How would the customer like to achieve this? (List the functional requirements here)
Reverse Proxy options supported in the custom.yaml hiera file (by adding support for $params to the /usr/share/katello-installer-base/modules/foreman_proxy_content/manifests/reverse_proxy.pp file).

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
By add the options mentioned in #3 and running the satellite-installer.
/etc/httpd/conf.d/28-katello-reverse-proxy.conf' should be modified accordingly

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. Satellite 6.5, 6.6)?
ASAP - 6.5.x

9. Is the sales team involved in this request and do they have any additional input?
Probably not.

10. List any affected packages or components.
satellite-installer, katello-installer-base, custom-hiera.yaml, httpd

11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 6 Ewoud Kohl van Wijngaarden 2019-08-22 14:02:35 UTC
Confirmed this is currently not possible but does make sense.

Comment 7 Ewoud Kohl van Wijngaarden 2019-08-22 14:09:08 UTC
Created redmine issue https://projects.theforeman.org/issues/27687 from this bug

Comment 8 Bryan Kearney 2019-08-22 16:04:14 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 9 Bryan Kearney 2019-08-22 16:04:15 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 10 Bryan Kearney 2019-08-23 12:04:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27687 has been resolved.

Comment 18 Devendra Singh 2020-02-11 14:59:51 UTC
Verified on 6.7 Snap11.

Verification point:

Added below mentioned parameters in custom-hiera.yaml file

foreman_proxy_content::reverse_proxy::vhost_params:
  custom_fragment: "# This is a comment"
foreman_proxy_content::reverse_proxy::proxy_pass_params:
  max: "20"
  ttl: "120"
  retry: "300"

# cat /etc/foreman-installer/custom-hiera.yaml
---
...
foreman_proxy_content::reverse_proxy::vhost_params:
  custom_fragment: "# This is a comment"
foreman_proxy_content::reverse_proxy::proxy_pass_params:
  max: "20"
  ttl: "120"
  retry: "300"

Ran satellite-installer
# satellite-installer --scenario capsule
Installing             Done                                               [100%] [................................................................................................................................]
  Success!

Verified, set paramaters:
 
#cat 28-katello-reverse-proxy.conf |grep -e max -e ttl -e retry
  ProxyPass / https://XYZ/ max=20 retry=300 ttl=120

Comment 21 errata-xmlrpc 2020-04-14 13:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.